/* 
 *  PSX-Tools Bundle Pack 
 *  Copyright (C) 2002 Nicolas "Pixel" Noble 
 *  
 *  This program is free software; you can redistribute it and/or modify 
 *  it under the terms of the GNU General Public License as published by 
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version. 
 * 
 *  This program is distributed in the hope that it will be useful, 
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *  GNU General Public License for more details. 
 * 
 *  You should have received a copy of the GNU General Public License 
 *  along with this program; if not, write to the Free Software 
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

#include <string.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#else
#include <io.h>
#endif
#include "generic.h"

unsigned long filesize(int f_iso)
{
    long curpos, length;

    curpos = lseek(f_iso, 0, SEEK_CUR);
    length = lseek(f_iso, 0, SEEK_END);
    lseek(f_iso, curpos, SEEK_SET);
    return length;
}

void copy(int s, int d, long size) {
    long i;
    unsigned char c;
    long r;
    
    for (i = 0; (i < size) || (size < 0); i++) {
	r = read(s, &c, 1);
	if (r == 0) {
	    break;
	}
	write(d, &c, 1);
    }
}

unsigned long filesize(FILE * f_iso)
{
    long curpos, length;

    curpos = ftell(f_iso);
    fseek(f_iso, 0, SEEK_END);
    length = ftell(f_iso);
    fseek(f_iso, curpos, SEEK_SET);
    return length;
}

void copy(FILE * s, FILE * d, long size) {
    long i;
    unsigned char c;
    long r;
    
    for (i = 0; (i < size) || (size < 0); i++) {
	r = fread(&c, 1, 1, s);
	if (r == 0) {
	    break;
	}
	fwrite(&c, 1, 1, d);
    }
}
